Bug 2072164 - Warnings in Swift REPL
Summary: Warnings in Swift REPL
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: swift-lang
Version: 35
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ron Olson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-04-05 17:35 UTC by Vitaly Dolgov
Modified: 2022-04-21 21:21 UTC (History)
1 user (show)

Fixed In Version: swift-lang-5.6.1-1.fc35
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-04-21 21:21:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Vitaly Dolgov 2022-04-05 17:35:50 UTC
Description of problem:

After starting Swift REPL there are several warnings.

$ swift 
warning: (x86_64) /usr/lib64/ld-linux-x86-64.so.2 unsupported DW_FORM value: 0x1f
warning: (x86_64) /lib64/ld-linux-x86-64.so.2 unsupported DW_FORM value: 0x1f
warning: (x86_64) /lib64/libstdc++.so.6 No LZMA support found for reading .gnu_debugdata section
warning: (x86_64) /lib64/libm.so.6 No LZMA support found for reading .gnu_debugdata section
warning: (x86_64) /lib64/libgcc_s.so.1 No LZMA support found for reading .gnu_debugdata section

Actual results:

There are several warnings.

Expected results:

There are no warnings.

Comment 1 Ron Olson 2022-04-05 17:41:55 UTC
Yep, that's been there for a long time. I'll look into it now and hopefully can take care of it.

Comment 2 Fedora Update System 2022-04-14 15:02:19 UTC
FEDORA-2022-48c0bff62e has been submitted as an update to Fedora 35. https://bodhi.fedoraproject.org/updates/FEDORA-2022-48c0bff62e

Comment 3 Ron Olson 2022-04-14 15:07:02 UTC
As part of the 5.6.1 update I was able to figure out how to remove those warnings.

Comment 4 Fedora Update System 2022-04-14 16:40:54 UTC
FEDORA-2022-48c0bff62e has been pushed to the Fedora 35 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2022-48c0bff62e`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2022-48c0bff62e

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 5 Fedora Update System 2022-04-21 21:21:53 UTC
FEDORA-2022-48c0bff62e has been pushed to the Fedora 35 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.